Name:		xlsatoms
Version:	1.1.4
Release:	%mkrel 2
Summary:	List interned atoms defined on server
Group:		Development/X11
Source:		https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
License:	MIT

BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xmu) >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
Xlsatoms lists the interned atoms. By default, all atoms starting
from 1 (the lowest atom value defined by the protocol) are listed
until unknown atom is found. If an explicit range is given, xlsatoms
will try all atoms in the range, regardless of whether or not any
are undefined.

%prep
%setup -q

%build
%configure	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir}

%make_build

%install
%make_install

%files
%{_bindir}/xlsatoms
%{_mandir}/man1/xlsatoms.1*




%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.1.4-2.mga10
+ Revision: 2216424
- Mageia 10 Mass Rebuild

* Wed Nov 16 2022 luigiwalser <luigiwalser> 1.1.4-1.mga9
+ Revision: 1908075
- 1.1.4

* Wed Mar 30 2022 umeabot <umeabot> 1.1.3-3.mga9
+ Revision: 1835211
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.1.3-2.mga8
+ Revision: 1523111
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Feb 21 2019 tv <tv> 1.1.3-1.mga7
+ Revision: 1369069
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.1.2-2.mga7
+ Revision: 1301928
- Mageia 7 Mass Rebuild

* Mon Mar 12 2018 tv <tv> 1.1.2-1.mga7
+ Revision: 1208318
- new release

* Tue Feb 02 2016 umeabot <umeabot> 1.1.1-6.mga6
+ Revision: 931344
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-5.mga5
+ Revision: 748491
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-4.mga5
+ Revision: 690685
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.1-3.mga4
+ Revision: 520702
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 387091
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 29 2012 shlomif <shlomif> 1.1.1-1.mga3
+ Revision: 248893
- New version: 1.1.1

* Fri Jan 21 2011 ennael <ennael> 1.1.0-1.mga1
+ Revision: 27848
- imported package xlsatoms


* Fri Jul 16 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.1.0-1mdv2011.0
+ Revision: 554438
- New version: 1.1.0

* Wed Nov 11 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.2-1mdv2010.1
+ Revision: 464713
- New version: 1.0.2

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.1-7mdv2009.1
+ Revision: 350990
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-6mdv2009.0
+ Revision: 226055
- rebuild

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Thu Jan 17 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.1-5mdv2008.1
+ Revision: 154436
- Updated BuildRequires and resubmit package.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 31 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.1-4mdv2008.0
+ Revision: 76540
- rebuild for 2008
- add a description
- slight spec clean

  + Thierry Vignaud <tv@mandriva.org>
    - do not hardcode lzma extension!!!


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

